Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class MsgMgr

    java.lang.Object
      |
      +--org.apache.xalan.transformer.MsgMgr

public class MsgMgr
extends java.lang.Object

This class will manage error messages, warning messages, and other types of message events.

Constructor Summary
`MsgMgr(TransformerImpl transformer)` Create a message manager object.

Method Summary
`void` | `error(int msg)` **For internal use only** Tell the user of an error, and probably throw an exception.
`void` | `error(int msg, java.lang.Exception e)` **For internal use only** Tell the user of an error, and probably throw an exception.
`void` | `error(int msg, java.lang.Object[] args)` **For internal use only** Tell the user of an error, and probably throw an exception.
`void` | `error(int msg, java.lang.Object[] args, java.lang.Exception e)` **For internal use only** Tell the user of an error, and probably throw an exception.
`void` | `error(Node styleNode, Node sourceNode, int msg)` **For internal use only** Tell the user of an error, and probably throw an exception.
`void` | `error(Node styleNode, Node sourceNode, int msg, java.lang.Object[] args)` **For internal use only** Tell the user of an error, and probably throw an exception.
`void` | `error(java.lang.String msg)` **For internal use only** Tell the user of an error, and probably throw an exception.
`void` | `message(java.lang.String msg, boolean terminate)` Warn the user of an problem.
`void` | `warn(int msg)` **For internal use only** Warn the user of an problem.
`void` | `warn(int msg, java.lang.Object[] args)` **For internal use only** Warn the user of an problem.
`void` | `warn(Node styleNode, Node sourceNode, int msg)` **For internal use only** Warn the user of an problem.
`void` | `warn(Node styleNode, Node sourceNode, int msg, java.lang.Object[] args)` **For internal use only** Warn the user of an problem.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MsgMgr

    public MsgMgr(TransformerImpl transformer)

  Create a message manager object.

Method Detail

### message

    public void message(java.lang.String msg,
                        boolean terminate)
                 throws SAXException

  Warn the user of an problem. This is public for access by extensions.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### warn

    public void warn(int msg)
              throws SAXException

  **For internal use only** Warn the user of an problem.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### warn

    public void warn(int msg,
                     java.lang.Object[] args)
              throws SAXException

  **For internal use only** Warn the user of an problem.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### warn

    public void warn(Node styleNode,
                     Node sourceNode,
                     int msg)
              throws SAXException

  **For internal use only** Warn the user of an problem.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### warn

    public void warn(Node styleNode,
                     Node sourceNode,
                     int msg,
                     java.lang.Object[] args)
              throws SAXException

  **For internal use only** Warn the user of an problem.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### error

    public void error(java.lang.String msg)
               throws SAXException

  **For internal use only** Tell the user of an error, and probably throw an exception.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### error

    public void error(int msg)
               throws SAXException

  **For internal use only** Tell the user of an error, and probably throw an exception.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### error

    public void error(int msg,
                      java.lang.Object[] args)
               throws SAXException

  **For internal use only** Tell the user of an error, and probably throw an exception.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### error

    public void error(int msg,
                      java.lang.Exception e)
               throws SAXException

  **For internal use only** Tell the user of an error, and probably throw an exception.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### error

    public void error(int msg,
                      java.lang.Object[] args,
                      java.lang.Exception e)
               throws SAXException

  **For internal use only** Tell the user of an error, and probably throw an exception.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### error

    public void error(Node styleNode,
                      Node sourceNode,
                      int msg)
               throws SAXException

  **For internal use only** Tell the user of an error, and probably throw an exception.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

### error

    public void error(Node styleNode,
                      Node sourceNode,
                      int msg,
                      java.lang.Object[] args)
               throws SAXException

  **For internal use only** Tell the user of an error, and probably throw an exception.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.